#!/bin/bash
clear
echo "Script $0"
a=7
b=2
q=$((a/b)) # $(( )) è l'operatore di espansione aritmetica
r=$((a%b))
p=$((2**7))

d="$(echo "7/2" | bc -l)" # bc per calcoli non interi

echo "aritmetica intera: $a/$b=$q"
echo "aritmetica intera: $a%$b=$r"
echo "               bc: $a/$b=$d"
echo "2^7 = $p"

echo
echo "Valutazione espressioni logiche"
echo "a=$a; b=$b; \$((a == b)) è $(( a == b )) (falso)"

test a == b
echo "a=$a; b=$b; test a == b è $? (falso)"

[ a == b ]
echo "a=$a; b=$b; [ a == b ] è $? (falso)"

[[ a == b ]]
echo "a=$a; b=$b; [[ a == b ]] è $? (falso)"

if [[ -e $1 ]]; then
  echo "Il file $1 esiste"
  if [[ -d $1 ]]; then
    echo "ed è una directory"
  fi
fi

